﻿.sl-sc-modal-underlay {
    background-color: #fff;
    opacity: 0.5;
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=50)";
}
.sl-sc-modal-ajax-error {
    padding-top: 35px;
}
.sl-sc-modal-close, .positionCloseBtn {
    position: absolute;
    top: 10px;
    right: 10px;
}
#ContainIDPModal, 
#AddToCart_Dialog,
#ContainShoppingListModal,
.emailForm_Wrapper,
#EmailForm_Success,
#MobileSignUpFormContainer,
.bbpCmsInfoPage {
    /* Base styles for graphic modal window */
    position: relative;
    background-color: White;
    -webkit-border-radius: 5px;
    border-radius: 5px;
    padding:10px;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    -webkit-box-shadow: 0px 0px 10px 1px #bababa;
    box-shadow: 0px 0px 10px 1px #bababa;
}
.no-boxshadow #ContainIDPModal
.no-boxshadow #AddToCart_Dialog,
.no-boxshadow #ContainShoppingListModal,
.no-boxshadow #EmailForm_Contain,
.no-boxshadow #EmailFormContainer,
.no-boxshadow #EmailForm_Success,
.no-boxshadow #MobileSignUpFormContainer
.no-boxshadow .bbpCmsInfoPage {
    border:1px solid #999;
}
.modalBorder {
    width: 738px;
    height: 695px; 
    color: #000;
    overflow: hidden;
}
.modalBorderShort {
    width: 490px;
    height: 120px; 
    background-color: #fff;
}

.modalBorderIDPCollapsed {
    width: 738px;
    height: 549px; 
    color: #000;
    overflow: hidden;
}

.modalPad {
    padding: 4px 8px 9px 3px;
    overflow: hidden;
}

#ListingDetail_iScroll {
    position: relative;
    height: 473px;
}

.positionCloseBtnAllModals {
    float: right;
    margin-right: 24px;
}

#PrintPromoContainer {
    width: 469px;
    height: 222px;
    padding: 3px 9px 8px 3px; 
    color: #000000;
}

#SMSFormContainer {
    width: 323px;
    height: 218px;
    padding: 3px 7px 7px 3px;
    background-image: url("../images/SMS_modal_border.png");
    background-repeat: no-repeat;
    color: #333333;
    font-weight: bold;
    overflow: hidden;
}
.blockUI {
    z-index: 300000000 !important;
}


.posAddtoCartBtn .sl-sc-modal-close {
    top: 100px !important;
    left: 150px !important;
}

.emailForm.mobileSignupForm {
    width: 380px;
    }
    

@media only screen and (min-width: 320px) and (max-width: 767px) {
    #ContainIDPModal,
    #ContainShoppingListModal,
	.bbpCmsInfoPage {
        margin: 0;
        -webkit-border-radius:0;
        border-radius:0;
        -webkit-box-shadow: none;
        box-shadow: none;
        padding-bottom:20px;
        border-bottom:1px solid #ccc;
    }
    .modalBorder {
        width: 100%;
        height: auto;
        background: none;
    }
    .modalBorderIDPCollapsed {
        width: auto;
        height: auto;
        background: none;
    }
    .modalPad {
        padding: 0;
    }
    #ListingDetail_iScroll {
        height: auto;
    }
    .smsMobileBlockTransparency {
        filter: alpha(opacity=50);
        -moz-opacity: .50;
        opacity: .50;
    }
    .smsMobileBlocker {
        background-color: #000;
        width: 100%;
        height: 100%;
        position: fixed;
        z-index: 5000;
        left: 0px;
        top: 0px;
    }
    #SMSFormContainer {
        z-index: 5001;
        position: fixed;
        top: 0px;
    }
}

@media only screen and (min-width: 480px) and (max-width: 767px) {
    /* mobile Landscape */
    #EmailFormContainer {
        margin: 0 auto;
    }
    #SMSFormContainer {
        left: 17%;
    }
}
@media only screen and (min-width: 320px) and (max-width: 479px) {
    /* mobile Portrait */
    #EmailFormContainer {
        margin: 0 auto;
        padding: 0 0 14px;
        background-position: -14px 0;
        width: 300px;
    }
    #SMSFormContainer {
        padding: 0 0 7px;
        background-position: -3px -3px;
        width: 320px;
        left: 0px;
    }
    #EmailFormContainer .positionCloseBtnAllModals {
        margin-right: 8px !important;
    }
}
